Nice (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Nice,Nice class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Nice

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Nice

public class Nice
extends Task

A task to provide "nice-ness" to the current thread, and/or to query the current value. Examples:

     <nice currentPriority="current.value" >

Set `currentPriority` to the current priority

     <nice newPriority="10" >

Raise the priority of the build process (But not forked programs)

     <nice currentPriority="old" newPriority="3" >

Lower the priority of the build process (But not forked programs), and save the old value to the property `old`.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Nice()`

Method Summary
`void` | `execute()` Execute the task
`void` | `setCurrentPriority(java.lang.String currentPriority)` The name of a property to set to the value of the current thread priority.
`void` | `setNewPriority(int newPriority)` the new priority, in the range 1-10.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Nice

    public Nice()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Execute the task

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setCurrentPriority

    public void setCurrentPriority(java.lang.String currentPriority)

  The name of a property to set to the value of the current thread priority. Optional

  Parameters:
    `currentPriority` - the property name.

### setNewPriority

    public void setNewPriority(int newPriority)

  the new priority, in the range 1-10.

  Parameters:
    `newPriority` - the new priority value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.